> For the complete documentation index, see [llms.txt](https://docs.apryse.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.apryse.com/web/changelogs/version-6/v6-3/v6-3-1.md).

# Version 6.3.1 Changelog (2020-05-19)

World's #1 PDF SDK Library for Web, Mobile, Server, Desktop

## Fixes

* Fixed issue with importAnnotCommand where a reply annotation doesn't add the reply to its parent
* Fixed issue where negative currency value would have hyphen after the currency symbol
* Fixed issue with not being able to paste from clipboard into a freetext annotation
* Fixed exportAnnotCommand so it doesn't throw an error after a widget is created
* Fixed issue where page render might get cancelled in viewport rendering mode but not re-requested
* Fixed several issues with handling corrupt PDF documents
* Fixed issue where calling getFileData on a doc instance that is created by CoreControls.createDocument will throw an error
* Fixed issue with infinite re-rendering of the notes panel in IE11 in some cases
* Fixed issues with setting search results in the UI from server side search results


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.apryse.com/web/changelogs/version-6/v6-3/v6-3-1.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
